Bug 251762 - Utility locks when setting password expiration info
Summary: Utility locks when setting password expiration info
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-10 22:07 UTC by ray hammond
Modified: 2009-06-10 10:49 UTC (History)
1 user (show)

Fixed In Version: 1.2.64-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 10:49:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ray hammond 2007-08-10 22:07:27 UTC
Description of problem:
Using the properties dialog it is possible to make the utility lock up by
inputting invalid characters into the password expiration fields.

Version-Release number of selected component (if applicable):
1.2.60

How reproducible:
Every time

Steps to Reproduce:
1.As a none root user open the system-config-user utility - enter root password
when prompted.
2.Select any user from the list, in my case the user is called ray.
3.Click the properties button and select the 'Password Info' tab.
4.Check the 'Enable password expiration' checkbox.
5.Enter a non-numerical string into any of the foure fields and press OK.

Actual results:
The utility locks and never recovers.

Expected results:
The utility should validate the input and inform the users of invalid input.

Additional info:
The utility also permits negative numbers to be saved.  This agsin should be
captured during the validation stage.

Comment 1 ray hammond 2007-08-10 22:12:10 UTC
Also, it is possible to input really large numbers, which again make the utility
lock up after pressing OK.  The utility should apply a maximum length to these
fields.

Comment 2 Nils Philippsen 2007-08-15 09:03:01 UTC
fixed in upstream repository

Comment 3 Fedora Update System 2007-08-17 16:12:42 UTC
system-config-users-1.2.64-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-09-18 03:20:22 UTC
system-config-users-1.2.64-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 ray hammond 2007-09-22 10:26:50 UTC
The utility still permits me to input characters into year, month or date box. 
For example, I can type 'rat' into the year box meaning the year of the rat. 
Its stupid of me to do this, but possible.  When I press OK the utility hangs. 
The terminal in which the utility was started has the following message:

Traceback (most recent call last):
 File "/usr/share/system-config-users/userProperties.py", line 455, in
on_ok_button_clicked
  year = int(year)
ValueError: invalid literal for int() with base 10, 'rat'

To recover I have to kill the utility.



Comment 6 Bug Zapper 2008-05-14 13:56:28 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 ray hammond 2008-06-04 22:50:13 UTC
I have tested the problem in Fedora 9 and it still exists.

Comment 8 Bug Zapper 2009-06-09 22:45:08 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Nils Philippsen 2009-06-10 10:49:17 UTC
I've tested it with version 1.2.79 which is available for Fedora 9 and instead of crashing, it gave me an error dialog if I put in non-numeric values in these fields. Please reopen if you can reproduce the problem on this or a later version.


Note You need to log in before you can comment on or make changes to this bug.